<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Tool_model extends Ion_auth_model {
	
	public function __construct()
	{
		parent::__construct();
	}
	
	/**
	 * geocolonias
	 *
	 * @return object
	 * @author Ben Edmunds
	 **/

        
   	/*	Obtenemos la acción, procesar y modificar_campo	*/
	function obtener_accion($accion){
		unset($documento);

		/* Ruta del directorio donde se cargan las fotos	*/
		$ubicacion = "G:/herramientas_intranet/lectura/";
		$ubicacion_historial = "G:/herramientas_intranet/lectura/_historial";
		$ubicacion_new = $ubicacion."/".$_SESSION['usuario'];
		
		
		if (!file_exists($ubicacion_new)) {
			mkdir($ubicacion_new, 0777, true);
			
		}		

		/* Ruta actual	*/
		$directorio = opendir ($ubicacion_new); 
		
		
		if (file_exists($ubicacion_new)) {
			
			} else {
			mkdir($ubicacion_new, 0777, true);
		}
		
		
		/*	Obtener listado de las fotos	*/
		if($accion=="obtenerlistado"){

			/*	Crea un archivo txt	*/
			$lectura = fopen($ubicacion_historial."/".$_SESSION['usuario'].'.txt','a');
			$i=0;
			$contar_archivo=0;
			
			$fehca_hora= date('d/m/Y g:ia');
			
			$_SESSION['ban']=0;
			
			$cont=0;
			
			/* Obtenemos un archivo y luego otro sucesivamente	*/
			while ($archivo = readdir($directorio)) 
			{
				/*	Posibles archivos ocultos	*/
				if(trim($archivo) =="." || trim($archivo)==".." || trim ($archivo)=="Thumbs.db")
				{
					
					}else{
					
					$contar_archivo++;
					if(strlen($archivo) == 47 || strlen($archivo) == 11 ){
						
						$espacio = strrchr($archivo, " ");
						$i++;
						
						$documento[$i] = $archivo.$espacio;
						
						fwrite($lectura, $archivo . PHP_EOL);
					} 
					else{ 

						$_SESSION['ban']= 1;
						
						$cont++;
						$i++;
						
						/* Pinta la columna del campo modificado en la tabla	*/
						$documento[$i] = $archivo.$espacio.'<span class="resalta_cambio">!</>';
						
						fwrite($lectura, $archivo . PHP_EOL);
					} 
					$cadena = "Foto";
					$resultado = strpos($archivo, $cadena);
					
					if($resultado !== false){
					
						fwrite($lectura, $archivo . PHP_EOL);
					}
					else{
						$cont = -1;
					}
				}
				
			} 
			$contador = $contar_archivo++;
			
			/* Contar cantidad de archivos cargados en el directorio, muestra en el archivo txt */
				fwrite($lectura,'Listado de Fotos '.' '.$fehca_hora.' '.'Total Archivos: '.$contador.' ('.$_SESSION['usuario'].')'. PHP_EOL);
			
			/* Alert, mensaje de error que se encuentran en los archivos */
			if($cont > 0){
				?> <div class="alert alert-warning alert-dismissable">
						<button class="close" aria-hidden="true" data-dismiss="alert" type="button">×</button>
						<h4>
							<i class="icon fa fa-warning"> Atención</i>
							
						</h4>
						Se encontraron archivos duplicados o incorrectos. Corregir y volver a 
						<button onclick="location.reload()" class="btn btn-sm alert-success ">actualizar</button><br>
					
				<?php //echo ("Error, compruebe sus archivos!!")?>
					</div>
			
			<br><br>
			<script type="text/javascript">
				
				$(document).ready(function() {
					
					$('#btnQuitar').attr("disabled", true);
					$('#btnDpto').attr("disabled", true);
					$('#btnDtto').attr("disabled", true);
					$('#btnCol').attr("disabled", true);
					$('#btnMan').attr("disabled", true);
					$('#btnLoteIndert').attr("disabled", true);
					$('#btnLoteSirt').attr("disabled", true);
					$('#btnCuest').attr("disabled", true);
					
				});	
			</script> 
			<?php
			}
			
			fclose($lectura);
			return($documento);	
		} 
		/*..............................................*/

		/* Acción procesar, se obtiene para verificar directorio y eliminar los ceros de la izquierda	*/
		if($accion=="procesar"){
			unset($documento);
			
			$ubicacion_new = $ubicacion."/".$_SESSION['usuario']."/";
			if (!file_exists($ubicacion_new)) {
				mkdir($ubicacion_new, 0777, true);
				
			}
			
			$i=0;

			/* Obtenemos un archivo y luego otro sucesivamente	*/
			while ($archivo = readdir($directorio)) 
			{
				
				/* Verificamos si es o no un directorio	*/
				if (is_dir($archivo))
				{
					//echo "[".$archivo . "]<br />"; //de ser un directorio lo envolvemos entre corchetes
				}
				else
				{
					/* Elimina los ceros de la izquierda	*/
					if(trim($archivo) !="." || trim($archivo)!="..")
					{
						if(substr($archivo, 0, 4)=='Foto'){
							$i++;
							$dpto 				= substr($archivo, 4, 2);
							$dpto_new			= intval($dpto);
							$distrito 			= substr($archivo, 6, 2);
							$distrito_new		= intval($distrito);
							$barrio				= substr($archivo, 8, 3);
							$barrio_new			= intval($barrio);
							$colonia			= substr($archivo, 11, 3);
							$colonia_new		= intval($colonia);
							$area				= substr($archivo, 14, 1);
							$area_new			= intval($area);
							$ae					= substr($archivo, 15, 3);
							$ae_new				= intval($ae);
							$manzana			= substr($archivo, 18, 7);
							$loteindert			= substr($archivo, 25, 6);
							$lotecampo			= substr($archivo, 31, 6);
							$cuestionario		= substr($archivo, 37, 3);
							$cuestionario_new	= intval($cuestionario);
							$nrofoto			= substr($archivo, 40, 3);
							$nrofoto_new		= intval($nrofoto);	
							
							$patron = "/^[[:digit:]]+$/";
							
							if (preg_match($patron, $loteindert)) {
								$loteindert_new = intval($loteindert);
								} else {
								//quitar los ceros, caso cadena
								$loteindert_new = ltrim($loteindert, '0');
							}
							
							if (preg_match($patron, $lotecampo)) {
								$lotecampo_new = intval($lotecampo);
								} else {
								//quitar los ceros, caso cadena
								$lotecampo_new = ltrim($lotecampo, '0');
							}
							
							$renombrado= $dpto_new.''.$distrito_new.''.$barrio_new.''.$colonia_new.''.$area_new.''.$ae_new.''.$manzana.''.$loteindert_new.''.$lotecampo_new.''.$cuestionario_new.''.$nrofoto_new.'.jpg';
							$documento[$i] = $renombrado;
							
							rename($ubicacion_new.$archivo, $ubicacion_new.$renombrado);
						}
					}//if($archivo == '.' || $archivo=='..'){
				}	
			}
			return($documento);
		}
	}

	/* Acción modificar_campo, cambiar para cada campo que se desea modificar	*/
	function modificar_campo($tipo,$valor)
	{
		unset($documento);
		$ubicacion = "G:/herramientas_intranet/lectura/";
		//$ubicacion_new = $ubicacion."/".$_SESSION['usuario']."/";
		$ubicacion_new = $ubicacion;
		$directorio = opendir ($ubicacion_new); //ruta actual
		$i=0;
		$denominacion=0;

		/* Obtenemos un archivo y luego otro sucesivamente 	*/
		while ($archivo = readdir($directorio)) 
		{
			
			/* Verificamos si es o no un directorio	*/
			if (is_dir($archivo))
			{
				//echo "[".$archivo . "]<br />"; //de ser un directorio lo envolvemos entre corchetes
			}
			else
			{
				if(substr($archivo, 0, 4)=='Foto')
				{
					switch ($tipo)
					{
						/*Campo Departamento*/
						case 'Dpto':
						{
							$i++;
							
							if(strlen($valor)<=2){
								if(strlen($valor)==1){
									$valor = '0'.$valor;
								}
								
								$dpto_new			= str_replace(
								substr($archivo, 4, 2), 
								$valor, 
								substr($archivo, 4, 2)
								);
								
								$distrito 			= substr($archivo, 6, 2);
								$barrio				= substr($archivo, 8, 3);
								$colonia			= substr($archivo, 11, 3);
								$area				= substr($archivo, 14, 1);
								$ae					= substr($archivo, 15, 3);
								$manzana			= substr($archivo, 18, 7);
								$loteindert			= substr($archivo, 25, 6);
								$lotecampo			= substr($archivo, 31, 6);
								$cuestionario		= substr($archivo, 37, 3);
								$nrofoto			= substr($archivo, 40, 3);
								
								$foto_cambiado		= 'Foto'.$dpto_new.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento_rojo		= 'Foto<span class="resalta_cambio">'.$dpto_new.'</span>'.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';					
								$documento[$i] 		= $documento_rojo;
								$documento[$i]		=$documento_rojo;
								$noModificado[$i]	= $archivo;
								
								$matrizfoto[$foto_cambiado][$archivo] = $archivo;
								$denominacion[$archivo] = $foto_cambiado;
								
								}else{
								$documento		=	"ERROR";
								
							}
						}
						break;
					
						/* Campo Distrito	*/
						case 'Dtto':
						{
							$i++;
							
							if(strlen($valor)<=2)
							{
								if(strlen($valor)==1){
								$valor = '0'.$valor;
								}
								
								$dpto 				= substr($archivo, 0, 6);
								$distrito_new		= str_replace(substr($archivo, 6, 2), $valor, substr($archivo, 6, 2));
								$barrio				= substr($archivo, 8, 3);
								$colonia			= substr($archivo, 11, 3);
								$area				= substr($archivo, 14, 1);
								$ae					= substr($archivo, 15, 3);
								$manzana			= substr($archivo, 18, 7);
								$loteindert			= substr($archivo, 25, 6);
								$lotecampo			= substr($archivo, 31, 6);
								$cuestionario		= substr($archivo, 37, 3);
								$nrofoto			= substr($archivo, 40, 3);
								
								$foto_cambiado		= $dpto.''.$distrito_new.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento_rojo		= $dpto.'<span class="resalta_cambio">'.$distrito_new.'</span>'.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento[$i]		=$documento_rojo;
								$noModificado[$i]	= $archivo;
								
								$matrizfoto[$foto_cambiado][$archivo] = $archivo;
								$denominacion[$archivo] = $foto_cambiado;
							
							}else{
								$documento		=	"ERROR";
							
							}
						}
						break;
					
						/*  Campo Colonia	*/
						case 'Col':
						{
							$i++;
							
							if(strlen($valor)<=3)
							{
								if(strlen($valor)==1){
								$valor = '00'.$valor;
								}
								
								if(strlen($valor)==2){
								$valor = '0'.$valor;
								}
								
								$dpto 				= substr($archivo, 0, 6);
								$distrito 			= substr($archivo, 6, 2);
								$colonia_new		=str_replace(substr($archivo, 11, 3), $valor, substr($archivo, 11, 3));
								$barrio				= substr($archivo, 8, 3);
								$area				= substr($archivo, 14, 1);
								$ae					= substr($archivo, 15, 3);
								$manzana			= substr($archivo, 18, 7);
								$loteindert			= substr($archivo, 25, 6);
								$lotecampo			= substr($archivo, 31, 6);
								$cuestionario		= substr($archivo, 37, 3);
								$nrofoto			= substr($archivo, 40, 3);
								
								$foto_cambiado		= $dpto.''.$distrito.''.$barrio.''.$colonia_new.''.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento_rojo		= $dpto.''.$distrito.''.$barrio.'<span class="resalta_cambio">'.$colonia_new.'</span>'.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento[$i] 		= $documento_rojo;
								$noModificado[$i]	= $archivo;
								
								$matrizfoto[$foto_cambiado][$archivo] = $archivo;
								$denominacion[$archivo] = $foto_cambiado;
								
							}else{
								$documento		=	"ERROR";
							
							}
						}
						break;
						
						/* Campo Área */
						case 'Area':
						{
							$i++;
							
							if(strlen($valor)<=1)
							{
								
								$dpto 				= substr($archivo, 0, 6);
								$distrito 			= substr($archivo, 6, 2);
								$colonia			= substr($archivo, 11, 3);
								$barrio				= substr($archivo, 8, 3);
								//$area				= substr($archivo, 14, 1);
								$area_new			=str_replace(substr($archivo, 14, 1), $valor, substr($archivo, 14, 1));
								$ae					= substr($archivo, 15, 3);
								$manzana			= substr($archivo, 18, 7);
								$loteindert			= substr($archivo, 25, 6);
								$lotecampo			= substr($archivo, 31, 6);
								$cuestionario		= substr($archivo, 37, 3);
								$nrofoto			= substr($archivo, 40, 3); 
								
								$foto_cambiado		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area_new.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento_rojo		= $dpto.''.$distrito.''.$barrio.''.$colonia.'<span class="resalta_cambio">'.$area_new.'</span>'.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento[$i] 		= $documento_rojo;
								$noModificado[$i]	= $archivo;
								
								$matrizfoto[$foto_cambiado][$archivo] = $archivo;
								$denominacion[$archivo] = $foto_cambiado;
								
							}else{
								$documento		=	"ERROR";
							
							}
						}
						break;
						
						/* Campo Manzana */
						case 'Man':
						{
							$i++;
							
							if(strlen($valor)<=7)
							{
								/*Rellena ceros a la izquierda*/
								$valor=str_pad($valor, 7, "0", STR_PAD_LEFT);
								
								$dpto 				= substr($archivo, 0, 6);
								$distrito 			= substr($archivo, 6, 2);									
								$barrio				= substr($archivo, 8, 3);
								$colonia			= substr($archivo, 11, 3);
								$area				= substr($archivo, 14, 1);
								$ae					= substr($archivo, 15, 3);
								$manzana_new		=str_replace(substr($archivo, 18, 7), $valor, substr($archivo, 18, 7));
								$loteindert			= substr($archivo, 25, 6);
								$lotecampo			= substr($archivo, 31, 6);
								$cuestionario		= substr($archivo, 37, 3);
								$nrofoto			= substr($archivo, 40, 3);
								
								$foto_cambiado		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana_new.''.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento_rojo		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.'<span class="resalta_cambio">'.$manzana_new.'</span>'.$loteindert.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento[$i]		=$documento_rojo;
								$noModificado[$i]	= $archivo;
								
								$matrizfoto[$foto_cambiado][$archivo] = $archivo;
								$denominacion[$archivo] = $foto_cambiado;
							
							}else{
							$documento		=	"ERROR";
							
							}
						}
						break;
						
						/* Campo Lote Indert */	
						case 'LoteIndert':
						{
							$i++;
							
							if(strlen($valor)<=6)
							{
								/*Rellena ceros a la izquierda*/
								$valor=str_pad($valor, 6, "0", STR_PAD_LEFT);
								
								$dpto 				= substr($archivo, 0, 6);
								$distrito 			= substr($archivo, 6, 2);									
								$barrio				= substr($archivo, 8, 3);
								$colonia			= substr($archivo, 11, 3);
								$area				= substr($archivo, 14, 1);
								$ae					= substr($archivo, 15, 3);
								$manzana			= substr($archivo, 18, 7);
								$loteindert_new		=str_replace(substr($archivo, 25, 6), $valor, substr($archivo, 25, 6));					/*Lote Indert*/	
								$lotecampo			= substr($archivo, 31, 6);
								$cuestionario		= substr($archivo, 37, 3);
								$nrofoto			= substr($archivo, 40, 3);
								$foto_cambiado		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert_new.''.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento_rojo		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.'<span class="resalta_cambio">'.$loteindert_new.'</span>'.$lotecampo.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento[$i]		=$documento_rojo;
								$noModificado[$i]	= $archivo;
								
								$matrizfoto[$foto_cambiado][$archivo] = $archivo;
								$denominacion[$archivo] = $foto_cambiado;
							
							}else{
							$documento		=	"ERROR";
							
							}
						}
						break;
					
						/* Campo Lote Sirt */
						case 'LoteSirt':
						{
							$i++;
							
							if(strlen($valor)<=6)
							{
								/*Rellena ceros a la izquierda*/
								$valor=str_pad($valor, 6, "0", STR_PAD_LEFT);
								
								$dpto 				= substr($archivo, 0, 6);
								$distrito 			= substr($archivo, 6, 2);									
								$barrio				= substr($archivo, 8, 3);
								$colonia			= substr($archivo, 11, 3);
								$area				= substr($archivo, 14, 1);
								$ae					= substr($archivo, 15, 3);
								$manzana			= substr($archivo, 18, 7);
								$loteindert			= substr($archivo, 25, 6);										
								$lotecampo_new		=str_replace(substr($archivo, 31, 6), $valor, substr($archivo, 31, 6));					/*Lote Sirt*/							
								$cuestionario		= substr($archivo, 37, 3);
								$nrofoto			= substr($archivo, 40, 3);
								$foto_cambiado		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo_new.''.$cuestionario.''.$nrofoto.'.jpg';
								$documento_rojo		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert.'<span class="resalta_cambio">'.$lotecampo_new.'</span>'.$cuestionario.''.$nrofoto.'.jpg';
								$documento[$i]		=$documento_rojo;
								$noModificado[$i]	= $archivo;
								
								$matrizfoto[$foto_cambiado][$archivo] = $archivo;
								$denominacion[$archivo] = $foto_cambiado;
							
							}else{
								$documento		=	"ERROR";
							
							}
						}
						break;
						
						/* Campo Cuestionario */
						case 'Cuest':
						{
							$i++;
							
							if(strlen($valor)<=3)
							{
								/*Rellena ceros a la izquierda*/
								$valor=str_pad($valor, 3, "0", STR_PAD_LEFT);
								
								$dpto 				= substr($archivo, 0, 6);
								$distrito 			= substr($archivo, 6, 2);									
								$barrio				= substr($archivo, 8, 3);
								$colonia			= substr($archivo, 11, 3);
								$area				= substr($archivo, 14, 1);
								$ae					= substr($archivo, 15, 3);
								$manzana			= substr($archivo, 18, 7);
								$loteindert			= substr($archivo, 25, 6);										
								$lotecampo			= substr($archivo, 31, 6);
								$cuestionario_new	=str_replace(substr($archivo, 37, 3), $valor, substr($archivo, 37, 3));					
								$nrofoto			= substr($archivo, 40, 3);
								$foto_cambiado		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.''.$cuestionario_new.''.$nrofoto.'.jpg';
								$documento_rojo		= $dpto.''.$distrito.''.$barrio.''.$colonia.''.$area.''.$ae.''.$manzana.''.$loteindert.''.$lotecampo.'<span class="resalta_cambio">'.$cuestionario_new.'</span>'.$nrofoto.'.jpg';
								$documento[$i]		=$documento_rojo;
								$noModificado[$i]	= $archivo;
								
								$matrizfoto[$foto_cambiado][$archivo] = $archivo;
								$denominacion[$archivo] = $foto_cambiado;
								
							}else{
							$documento		=	"ERROR";
							
							}
						}
						break;
					
					}
				}
			}
		}
					/* Valida para los errores en los archivos de fotos */
					$h=0;
					if(!empty($matrizfoto))
					{
						
						foreach ($matrizfoto as $linea){
							if(count($linea)>1){
								$h++;
								/*En este caso, al realizar el cambio afecta mas de un archivo*/
								$mostrarError[$h] = $linea;
							}
						}
					}

					/* Muestra mensaje de Error en la tabla listado */
					if(!empty($mostrarError))
					{
							$documento = $noModificado;
						?> 
						<div class="alert alert-warning alert-dismissable" id="mostrarerror">
						<h4>
							<i class="icon fa fa-warning">Atención</i> 
						</h4>
							<font color="red" size="4">FAVOR CORREGIR FOTOS ORIGINALES, SE OBTIENE LA MISMA DENOMINACION..!!</font>
							<?php // NO SE PUEDE TENER MAS DE UN ARCHIVO CON LA MISMA DENOMINACIÓN!	
								foreach($mostrarError as $error){
									foreach ($error as $linea){
										
										?>		
									<p><?php echo '<b><font color=black>'.$linea.'</font></b> --- '.$denominacion[$linea]?></p>
							<?php
								}}
							?>
						</div>
							<?php
					}else{
						/*Aplicar los cambios*/
						//foreach ($denominacion as $lineacambiar)
						while ($denominacion)
						{ $lineacambiar = $denominacion;
							rename($ubicacion_new.key($matrizfoto[$lineacambiar]), $ubicacion_new.$lineacambiar);
						} 
				}
					//return $documento;
	}

	public function dropdown_data($tabla = NULL, $where = NULL, $order_by = NULL)
	{
		if ($where) {
			foreach ($where as $k => $v) {

				$this->response = $this->db->where($k, $v);
			}
		}
		
		if ($order_by) {
			$this->response = $this->db->order_by($order_by, 'ASC');
		}

		$this->response = $this->db->get($this->tables[$tabla]);

		return $this;
	}

	/**
	 * View
	 *
	 * @return array //campos de un registro
	 * @author Ben Edmunds
	 **/

	public function view($tabla = NULL, $arraywhere = NULL) 
	{
		$this->trigger_events('view');
		
		$this->response = $this->db->select('*');
		$this->response = $this->db->from($this->tables[$tabla]);
		foreach ($arraywhere as $k => $v) {

			$this->response = $this->db->where($k, $v);
		}

		$this->response = $this->db->limit(1);


		$this->response = $this->db->get();

		return $this;
	}

	public function importar_foto ($camposvalores = FALSE)
	{
		$query = "INSERT INTO reg_fotos (id_registro_lote, dpto, distrito, barrio, colonia, area, ae, manzana, lote_a, lote_b, finca, padron, cuest, c_tipo_objeto, descrip_objeto, codigo_objeto, image, day, r_dpto, r_distrito, r_colonia, estado) VALUES ('";

		$query = $query . $camposvalores['id_registro_lote']."',";
		$query = $query . $camposvalores['dpto'].",";
		$query = $query . $camposvalores['distrito'].",";
		$query = $query . $camposvalores['barrio'].",";
		$query = $query . $camposvalores['colonia'].",";
		$query = $query . $camposvalores['area'].",";
		$query = $query . $camposvalores['ae'].",'";
		$query = $query . $camposvalores['manzana']."','"; 
		$query = $query . $camposvalores['lote_a']."','";
		$query = $query . $camposvalores['lote_b']."','";
		$query = $query . $camposvalores['finca']."','";
		$query = $query . $camposvalores['padron']."',";
		$query = $query . $camposvalores['cuest'].",";
		$query = $query . $camposvalores['c_tipo_objeto'].",'"; 
		$query = $query . $camposvalores['descrip_objeto']."',";
		$query = $query . $camposvalores['codigo_objeto'].",";
		$query = $query . "lo_import('".$camposvalores['image']."'),";
		$query = $query . "current_date,";
		$query = $query . $camposvalores['r_dpto'].",";
		$query = $query . $camposvalores['r_distrito'].",";
		$query = $query . $camposvalores['r_colonia'].",";
		$query = $query . $camposvalores['estado'].")";
		
		$importar = $this->db->query($query);

		if ($importar) {
			return true;			
		}else{
			return false;
		}
	}
}